<HdlWorker language='vhdl' spec='complex_mixer_ts-spec' DataWidth='32'>

  <!-- Other included XML -->
  <include href='peak-detector-properties.xml'/>

  <Property Name='NCO_DATA_WIDTH_p' Type='uchar' Parameter='true' Default='12'
	    Description='Output data width of NCO'/>

  <Property Name='INPUT_DATA_WIDTH_p' Type='uchar' Parameter='true' Default='12'
	    Description='Input port data width'/>

  <Property Name='CORDIC_STAGES_p' Type='uchar' Parameter='true' Default='16'
	    Description='Number of CORDIC stages implemented in NCO'/>

  <Property Name='LATENCY_p' Type='ushort' Parameter='true' Default='2'
	    Description='Number of clock cycles between a valid input and a valid output'/>

  <Property Name='phs_init' Type='short' Writable='true' Default='0'
	    Description='Initial phase of NCO'/>

  <Property Name='mag' Type='ushort' Writable='true' Default='1024'
	    Description='Magnitude of NCO output'/>

  <StreamInterface Name='in'/>
  <StreamInterface Name='out' workereof='true'/>

</HdlWorker>
